import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		field_id: commonLogic.appcommonhandle("属性标识",null),
		field_name: commonLogic.appcommonhandle("属性名称",null),
		code_name: commonLogic.appcommonhandle("代码名称",null),
		entity_id: commonLogic.appcommonhandle("实体标识",null),
		entity_name: commonLogic.appcommonhandle("实体名称",null),
		entity_code_name: commonLogic.appcommonhandle("实体代码名称",null),
		system_id: commonLogic.appcommonhandle("系统",null),
		field_logic_name: commonLogic.appcommonhandle("属性逻辑名",null),
		field_uni_name: commonLogic.appcommonhandle("属性全路径名称",null),
		field_show_name: commonLogic.appcommonhandle("显示名称",null),
		ref_field_id: commonLogic.appcommonhandle("引用属性标识",null),
		ref_field_name: commonLogic.appcommonhandle("引用属性名称",null),
		relation_id: commonLogic.appcommonhandle("引用关系标识",null),
		relation_name: commonLogic.appcommonhandle("引用关系",null),
		relation_code_name: commonLogic.appcommonhandle("关系代码",null),
		ref_entity_name: commonLogic.appcommonhandle("引用实体",null),
		key_field: commonLogic.appcommonhandle("主键",null),
		major_field: commonLogic.appcommonhandle("主信息",null),
		union_key: commonLogic.appcommonhandle("联合主键",null),
		field_type: commonLogic.appcommonhandle("属性类型",null),
		predefined: commonLogic.appcommonhandle("预定义类型",null),
		dict: commonLogic.appcommonhandle("数据字典",null),
		nullable: commonLogic.appcommonhandle("允许为空",null),
		physical_field: commonLogic.appcommonhandle("物理属性",null),
		data_type: commonLogic.appcommonhandle("数据类型",null),
		data_length: commonLogic.appcommonhandle("长度",null),
		data_preci: commonLogic.appcommonhandle("精度",null),
		expression: commonLogic.appcommonhandle("逻辑表达式",null),
		extension_field: commonLogic.appcommonhandle("扩展属性",null),
		is_enable_audit: commonLogic.appcommonhandle("审计",null),
		show_order: commonLogic.appcommonhandle("排序",null),
		createdate: commonLogic.appcommonhandle("创建时间",null),
		updatedate: commonLogic.appcommonhandle("最后修改时间",null),
	},
		views: {
			editgridview: {
				caption: commonLogic.appcommonhandle("属性",null),
				title: commonLogic.appcommonhandle("属性表格视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("属性",null),
				title: commonLogic.appcommonhandle("属性选择表格视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("属性",null),
				title: commonLogic.appcommonhandle("属性表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("属性",null),
				title: commonLogic.appcommonhandle("属性编辑视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("属性",null),
				title: commonLogic.appcommonhandle("属性数据选择视图",null),
			},
		},
		main_form: {
			details: {
				grouppanel2: commonLogic.appcommonhandle("分组面板",null), 
				grouppanel1: commonLogic.appcommonhandle("分组面板",null), 
				grouppanel3: commonLogic.appcommonhandle("分组面板",null), 
				group1: commonLogic.appcommonhandle("属性基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("最后修改时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("属性标识",null), 
				srfmajortext: commonLogic.appcommonhandle("属性名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				fieldname: commonLogic.appcommonhandle("属性名称",null), 
				codename: commonLogic.appcommonhandle("代码名称",null), 
				fieldlogicname: commonLogic.appcommonhandle("属性逻辑名",null), 
				dict: commonLogic.appcommonhandle("数据字典",null), 
				fieldtype: commonLogic.appcommonhandle("属性类型",null), 
				datatype: commonLogic.appcommonhandle("数据类型",null), 
				datalength: commonLogic.appcommonhandle("长度",null), 
				datapreci: commonLogic.appcommonhandle("精度",null), 
				keyfield: commonLogic.appcommonhandle("主键",null), 
				majorfield: commonLogic.appcommonhandle("主信息",null), 
				nullable: commonLogic.appcommonhandle("允许为空",null), 
				physicalfield: commonLogic.appcommonhandle("物理属性",null), 
				expression: commonLogic.appcommonhandle("逻辑表达式",null), 
				predefined: commonLogic.appcommonhandle("预定义类型",null), 
				unionkey: commonLogic.appcommonhandle("联合主键",null), 
				relationname: commonLogic.appcommonhandle("引用关系",null), 
				reffieldname: commonLogic.appcommonhandle("引用属性名称",null), 
				relationcodename: commonLogic.appcommonhandle("关系代码",null), 
				refentityname: commonLogic.appcommonhandle("引用实体",null), 
				showorder: commonLogic.appcommonhandle("排序",null), 
				extensionfield: commonLogic.appcommonhandle("扩展属性",null), 
				isenableaudit: commonLogic.appcommonhandle("审计",null), 
				entityid: commonLogic.appcommonhandle("实体标识",null), 
				entityname: commonLogic.appcommonhandle("实体名称",null), 
				relationid: commonLogic.appcommonhandle("引用关系标识",null), 
				reffieldid: commonLogic.appcommonhandle("引用属性标识",null), 
				fieldid: commonLogic.appcommonhandle("属性标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				showorder: commonLogic.appcommonhandle("排序",null),
				fieldname: commonLogic.appcommonhandle("属性名称",null),
				fieldlogicname: commonLogic.appcommonhandle("属性逻辑名",null),
				codename: commonLogic.appcommonhandle("代码名称",null),
				entityname: commonLogic.appcommonhandle("实体名称",null),
				fieldtype: commonLogic.appcommonhandle("属性类型",null),
				datatype: commonLogic.appcommonhandle("数据类型",null),
				datalength: commonLogic.appcommonhandle("长度",null),
				datapreci: commonLogic.appcommonhandle("精度",null),
				dict: commonLogic.appcommonhandle("数据字典",null),
				keyfield: commonLogic.appcommonhandle("主键",null),
				majorfield: commonLogic.appcommonhandle("主信息",null),
				nullable: commonLogic.appcommonhandle("允许为空",null),
				predefined: commonLogic.appcommonhandle("预定义类型",null),
				relationname: commonLogic.appcommonhandle("引用关系",null),
				reffieldname: commonLogic.appcommonhandle("引用属性名称",null),
				unionkey: commonLogic.appcommonhandle("联合主键",null),
				physicalfield: commonLogic.appcommonhandle("物理属性",null),
				expression: commonLogic.appcommonhandle("逻辑表达式",null),
				extensionfield: commonLogic.appcommonhandle("扩展属性",null),
				reffieldid: commonLogic.appcommonhandle("引用属性标识",null),
				relationid: commonLogic.appcommonhandle("引用关系标识",null),
				entityid: commonLogic.appcommonhandle("实体标识",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		editmain_grid: {
			columns: {
				showorder: commonLogic.appcommonhandle("排序",null),
				fieldname: commonLogic.appcommonhandle("属性名称",null),
				fieldlogicname: commonLogic.appcommonhandle("属性逻辑名",null),
				codename: commonLogic.appcommonhandle("代码名称",null),
				fieldtype: commonLogic.appcommonhandle("属性类型",null),
				datatype: commonLogic.appcommonhandle("数据类型",null),
				datalength: commonLogic.appcommonhandle("长度",null),
				datapreci: commonLogic.appcommonhandle("精度",null),
				dict: commonLogic.appcommonhandle("数据字典",null),
				keyfield: commonLogic.appcommonhandle("主键",null),
				majorfield: commonLogic.appcommonhandle("主信息",null),
				nullable: commonLogic.appcommonhandle("允许为空",null),
				predefined: commonLogic.appcommonhandle("预定义类型",null),
				relationname: commonLogic.appcommonhandle("引用关系",null),
				reffieldname: commonLogic.appcommonhandle("引用属性名称",null),
				unionkey: commonLogic.appcommonhandle("联合主键",null),
				physicalfield: commonLogic.appcommonhandle("物理属性",null),
				expression: commonLogic.appcommonhandle("逻辑表达式",null),
				extensionfield: commonLogic.appcommonhandle("扩展属性",null),
				reffieldid: commonLogic.appcommonhandle("引用属性标识",null),
				relationid: commonLogic.appcommonhandle("引用关系标识",null),
				entityname: commonLogic.appcommonhandle("实体名称",null),
				entityid: commonLogic.appcommonhandle("实体标识",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_fieldlogicname_like: commonLogic.appcommonhandle("属性逻辑名(文本包含(%))",null), 
				n_fieldname_like: commonLogic.appcommonhandle("属性名称(文本包含(%))",null), 
				n_fieldtype_eq: commonLogic.appcommonhandle("属性类型(等于(=))",null), 
				n_datatype_eq: commonLogic.appcommonhandle("数据类型(等于(=))",null), 
				n_physicalfield_eq: commonLogic.appcommonhandle("物理属性(等于(=))",null), 
				n_entityname_like: commonLogic.appcommonhandle("实体名称(文本包含(%))",null), 
			},
			uiactions: {
			},
		},
		editgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存行",null),
				tip: commonLogic.appcommonhandle("保存行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存行",null),
				tip: commonLogic.appcommonhandle("保存行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;